Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.openssh
Class DSAKeyInfo

    java.lang.Object
      com.sshtools.j2ssh.openssh.DSAKeyInfo

All Implemented Interfaces:
  KeyInfo

public class DSAKeyInfo
extends java.lang.Object
implements KeyInfo

DOCUMENT ME!

Constructor Summary
`DSAKeyInfo(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, java.math.BigInteger x, java.math.BigInteger y)` Creates a new DSAKeyInfo object.

Method Summary
`static DSAKeyInfo` | `getDSAKeyInfo(SimpleASNReader asn)` DOCUMENT ME!
`java.math.BigInteger` | `getG()` DOCUMENT ME!
`java.math.BigInteger` | `getP()` DOCUMENT ME!
`java.security.spec.KeySpec` | `getPrivateKeySpec()` DOCUMENT ME!
`java.security.spec.KeySpec` | `getPublicKeySpec()` DOCUMENT ME!
`java.math.BigInteger` | `getQ()` DOCUMENT ME!
`java.math.BigInteger` | `getX()` DOCUMENT ME!
`java.math.BigInteger` | `getY()` DOCUMENT ME!
`static void` | `writeDSAKeyInfo(SimpleASNWriter asn, DSAKeyInfo keyInfo)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAKeyInfo

    public DSAKeyInfo(java.math.BigInteger p,
                      java.math.BigInteger q,
                      java.math.BigInteger g,
                      java.math.BigInteger x,
                      java.math.BigInteger y)

  Creates a new DSAKeyInfo object.

Parameters:
  `p` - DOCUMENT ME!
  `q` - DOCUMENT ME!
  `g` - DOCUMENT ME!
  `x` - DOCUMENT ME!
  `y` - DOCUMENT ME!

Method Detail

### getG

    public java.math.BigInteger getG()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getP

    public java.math.BigInteger getP()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getQ

    public java.math.BigInteger getQ()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getX

    public java.math.BigInteger getX()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getY

    public java.math.BigInteger getY()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrivateKeySpec

    public java.security.spec.KeySpec getPrivateKeySpec()

  DOCUMENT ME!

  Specified by:
    `getPrivateKeySpec` in interface `KeyInfo`
  Returns:
    DOCUMENT ME!

### getPublicKeySpec

    public java.security.spec.KeySpec getPublicKeySpec()

  DOCUMENT ME!

  Specified by:
    `getPublicKeySpec` in interface `KeyInfo`
  Returns:
    DOCUMENT ME!

### getDSAKeyInfo

    public static DSAKeyInfo getDSAKeyInfo(SimpleASNReader asn)
                                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `asn` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeDSAKeyInfo

    public static void writeDSAKeyInfo(SimpleASNWriter asn,
                                       DSAKeyInfo keyInfo)

  DOCUMENT ME!

  Parameters:
    `asn` - DOCUMENT ME!
    `keyInfo` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD